import { globalServer } from '../index'

export interface IGetDeviceDataParams {
  columns: string[]
  isLocal: boolean
  limit?: number
  offset?: number
  host?: string
  name: string
  site_id?: string, // 云端必传
  device_id?: string,// 云端必传
}


export const getDeviceDetails = (params: IGetDeviceDataParams) =>
  globalServer({
    url: `/api/query`,
    method: 'POST',
    data: params,
  })

export interface ISite {
  id: string
  name: string
  create_time: string
  last_modify_time: string
  export_root_path: string
}

export const getSiteList = () =>
  globalServer<ISite[]>({
    url: `/api/sites`,
    method: 'get',
  })

export const getDeviceList = (siteId: string) =>
  globalServer({
    url: `/api/devices?siteId=${siteId}`,
    method: 'get',
  })

export interface IPointsParams {
  site?: string
  sn?: string
  isLocal?: boolean
  type: string
  host?: string
}

export const getPoints = (params: IPointsParams) =>
  globalServer({
    url: `/api/points`,
    method: 'get',
    params,
  })

export interface IPointGroupParams {
  site?: string
  sn?: string
  isLocal?: boolean
  host?: string
}


export interface IPointGroupOV {
  id: number,
  ip: string,
  name: string,
  port: number,
  slave_addr: number,
  type: string,
  children?: IPointGroupOV[]
}

export const getPointGroup = (params: IPointGroupParams) => {
  return globalServer<IPointGroupOV[]>({
    url: `/api/modules`,
    method: 'get',
    params,
  })
}