import { createRouter, createWebHistory } from 'vue-router'

export const defaultRouter = [
  {
    path: '/',
    name: 'dashboard',
    redirect: '/station',
    component: () => import('@/views/layout/index.vue'),
    meta: {
      title: '首页',
      isShow: true,
      icon: 'i-mage:file-2',
    },
    children: [
      {
        path: '/station',
        name: 'station',
        component: () => import('@/views/stationData/index.vue'),
        meta: {
          title: '站点数据',
          isShow: true,
          icon: 'i-icon-park-outline:data',
        },
      },
      {
        path: '/station/data-transfer',
        name: 'data-transfer',
        component: () => import('@/views/stationData/transferData.vue'),
        meta: {
          title: '数据迁移',
          isShow: false,
          icon: 'i-mingcute:transfer-2-line',
        },
      },
      // 固件上传
      {
        path: '/firmware-upload',
        name: 'firmware-upload',
        component: () => import('@/views/firmwareUpload/index.vue'),
        meta: {
          title: '固件上传',
          isShow: true,
          icon: 'i-mingcute:transfer-2-line',
        },
      },
    ],
  },
]

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: defaultRouter,
})

export default router
