export interface IOnlineDevice {
  clientIp: string
  sn: string
  site_id: string
  footprint: string
  lastUpdated: number // 新增字段，记录最后更新时间
  status?: string
  isChecked?: boolean
  versions?: string
  upFirmware?: 'updating' | 'pending' | 'fulfilled' | 'rejected' | 'timeout'
  upFirmwareStatus?: IUpFirmwareStatus
}

export interface IOfflineDevice {
  id: string
  sn: string
  databaseList: string
  last_modify_time?: string
  create_time: string
  db: string
  site_id: string
  status: number
  type: string
}

export type IDevice = IOnlineDevice | IOfflineDevice


export interface UpFirmwarsDevice {
  device: IOnlineDevice;
  action: 'upgrade';
}

export interface IUpFirmwareStatus {
  step: number
  progress: number | undefined
  errMsg: string | undefined
}


export interface IMyPoint {
  addr: string
  label: string
  unit?: string
}