import { getPubTopic, getSubTopic } from "@/utils/zmq";

// 获取设备状态主题
export const getDeviceTopic = getSubTopic('client', 'status', 'transfer')

// 发送迁移请求主题 // action: export=> 开始迁移, cancel=> 迁移取消, import=> 请求历史迁移的设备之前发的消息
export const postTransferTopic = getPubTopic('event', 'transfer')

// 获取迁移设备信息主题 // action: export => 迁移进度, 
export const getTransferTopic = getSubTopic('server', 'event', 'transfer')

// 获取设备固件升级主题
export const postFirmwareUpTopic = getPubTopic('event', 'upgrade')
// 获取设备固件升级进度主题
export const getFirmwareUpTopic = getSubTopic('client', 'event', 'upgrade')


export const upgradeProgressStatusMap = [
  {
    status: 0,
    text: '准备升级',
  },
  {
    status: 1,
    text: '获取安装包',
  },
  {
    status: 2,
    text: '校验安装包',
  },
  {
    status: 3,
    text: '解析安装文件',
  },
  {
    status: 4,
    text: '安装中',
  },
]